###
#
# Release post data file
#
# Start the release post with this file, named `YYYY_MM_22_gitlab_X_Y_released.yml`
# placed into `data/release_posts/`.
#
# Notes:
#  - All description entries support markdown. Use it as you do for a regular markdown file.
#   Just make sure the indentation is respected.
#
## Entries:
#
# - name: Amazing Feature # feature name: make it consistent, use the same name here, in the features.yml file, and in the docs
# - available_in: [core, starter, premium, ultimate]
# - gitlab_com: false # apply this for features not available in GitLab.com
# - documentation_link: 'https://docs.gitlab.com/ee/#amazingdoc' # up-to-date webpage or documentation - required
# - documentation_text: "Read through the documentation on Amazing Feature" # text displaying the documentation_link - optional (see handbook)
# - image_url: '/images/x_y/feature-a.png'
# - image_noshadow: true # this eliminates double shadows for images that already have a shadow
# - video: # overrides image_url
# - reporter: pm1 # GitLab handle of the user adding the feature block in the list (not the feature author)
# - issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345' # link to the issue on GitLab.com where the feature is discussed and developed
#
# Read through the Release Posts Handbook for more information:
# https://about.gitlab.com/handbook/marketing/blog/release-posts/
#
###

features:
# TOP FEATURE
  top:
    - name: Amazing Feature
      available_in: [starter, premium, ultimate] # required
      gitlab_com: false # required if the feature is NOT available in GitLab.com. Else, delete this line.
      documentation_link: 'https://docs.gitlab.com/ee/#amazing' # required
      documentation_text: "Read through the documentation on Amazing Feature" # optional (see handbook)
      image_url: '/images/9_X/feature-a.png' # required
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquid laudantium,
        quisquam pariatur architecto quo vel sequi, aperiam ex autem itaque saepe
        sint dignissimos, quis voluptates similique.
        Hic veritatis facere eligendi, minus nisi eveniet delectus fugiat.

        Lorem ipsum dolor sit amet, `consectetur adipisicing` elit.
        Rerum nisi et ex rem, obcaecati, commodi incidunt fugit,
        deleniti nesciunt aperiam consequuntur.

        1. Lorem ipsum dolor.
        1. Lorem ipsum dolor sit.

        > Lorem ipsum dolor sit amet.

        Lorem ipsum dolor sit amet, [consectetur adipisicing elit](#link).
        Quae repellat, at ullam amet.

        ![Amazing feature screenshot](/images/X_Y/amazing-feature.png){:.shadow}

        Lorem ipsum dolor sit amet, consectetur adipisicing elit.

# PRIMARY FEATURES
  primary:
    - name: Lorem ipsum
      available_in: [core, starter, premium, ultimate] # required
      gitlab_com: false # required if the feature is NOT available in GitLab.com. Else, delete this line.
      documentation_link: 'https://docs.gitlab.com/ee/#amazing' # required
      documentation_text: "Read through the documentation on Lorem Ipsum" # optional (see handbook)
      image_url: '/images/X_Y/feature-a.png' # required
      video: 'https://www.youtube.com/embed/enMumwvLAug' # example - optional - overrides image_url
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

    - name: Lorem ipsum
      available_in: [core, starter, premium, ultimate] # required
      gitlab_com: false # required if the feature is NOT available in GitLab.com. Else, delete this line.
      documentation_link: 'https://docs.gitlab.com/ee/#amazing' # required
      documentation_text: "Read through the documentation on Lorem Ipsum" # optional (see handbook)
      image_url: '/images/X_Y/feature-a.png' # required
      video: 'https://www.youtube.com/embed/enMumwvLAug' # example - optional - overrides image_url
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

# SECONDARY FEATURES
  secondary:
    - name: Lorem ipsum
      available_in: [premium, ultimate] # required
      gitlab_com: false # required if the feature is NOT available in GitLab.com. Else, delete this line.
      documentation_link: 'https://docs.gitlab.com/ee/#amazing' # webpage or documentation - required
      documentation_text: "Read through the documentation on Lorem Ipsum" # optional (see handbook)
      image_url: '/images/X_Y/feature-a.png' # optional - recommended
      video: 'https://www.youtube.com/embed/enMumwvLAug' # example - optional - overrides image_url
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
        Voluptate eveniet, adipisci earum sed harum nostrum
        itaque beatae, repellat sunt unde.

    - name: Lorem ipsum
      available_in: [premium, ultimate] # required
      gitlab_com: false # required if the feature is NOT available in GitLab.com. Else, delete this line.
      documentation_link: 'https://docs.gitlab.com/ee/#amazing' # webpage or documentation - required
      documentation_text: "Read through the documentation on Lorem Ipsum" # optional (see handbook)
      image_url: '/images/X_Y/feature-a.png' # optional - recommended
      video: 'https://www.youtube.com/embed/enMumwvLAug' # example - optional - overrides image_url
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
        Voluptate eveniet, adipisci earum sed harum nostrum
        itaque beatae, repellat sunt unde.

# Omnibus and performance (required)

    - name: Omnibus improvements
      available_in: [core, starter, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/omnibus/'
      documentation_text: 'Read through the documentation on Omnibus GitLab'
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

    - name: Performance improvements
      available_in: [core, starter, premium, ultimate]
      documentation_link: https://gitlab.com/groups/gitlab-org/merge_requests?scope=all&utf8=%E2%9C%93&state=merged&label_name%5B%5D=performance&milestone_title=X.X # Link to the merged MRs in the corresponding milestone
      documentation_text:  See all the performance improvements in GitLab X.X
      reporter: pm1 # required
      issue_url: 'https://gitlab.com/gitlab-org/gitlab-ce/issues/12345'
      description: | # supports markdown
        Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
        Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

# EXTRAS (Optional)
# extras:
#  - title: "Hello World"
#    description: | # supports markdown
#     Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequuntur, beatae!

# MVP
mvp:
  fullname: # Name Surname
  gitlab: # gitlab.com username
  description: | # example (supports markdown)
    Lorem ipsum [dolor sit amet](#link), consectetur adipisicing elit.
    Perferendis nisi vitae quod ipsum saepe cumque quia `veritatis`.

# COVER IMAGE LICENCE
cover_img:
  image_url: 'https://example.com#link_to_original_image' # required
  licence: CC0 # which licence the image is available with - required
  licence_url: '#https://example.com#link_to_licence' # required

# CTA BUTTONS (optional)
cta:
  - title: "Join us for an upcoming event" # default
    link: '/events/'
  - title: Lorem ipsum amet # optional
    link:

# UPGRADE BAROMETER
barometer:
  reporter: pm1 # required
  description: | # example (supports markdown)
    To upgrade to GitLab 9.X from the latest 9.Y version, no downtime is required. To upgrade without downtime, please consult the [documentation on downtimeless upgrades](https://docs.gitlab.com/ee/update/README.html#upgrading-without-downtime).

    For this release we have migrations, post-deploy migrations, and to help with the larger migrations we have introduced background migrations.

    GitLab.com migrations took approximately X minutes and post-deploy migrations amounted for a total of around Y minutes. Background migrations on the other hand are sidekiq jobs that will run synchronously, for this release these migrations took around Z days to complete, no side effects were expected nor present, these target older pipeline builds so newer executed pipelines are not affected.

    GitLab Geo users, please consult the documentation on [upgrading Geo](https://docs.gitlab.com/ee/gitlab-geo/configuration.html#upgrading-geo).

# DEPRECATIONS (optional)
# include as many deprecation blocks as necessary
deprecations:
  - feature_name: Lorem ipsum dolor
    due: May 22nd, 2017. # example
    reporter: pm1 # required
    description: |  # example (supports markdown)
      Lorem ipsum dolor sit amet, consectetur adipisicing elit.
      Veritatis, quisquam.
  - feature_name: Lorem ipsum dolor
    due: May 22nd, 2017.
    reporter: pm1 # required
    description: |  # example (supports markdown)
      Lorem ipsum dolor sit amet, consectetur adipisicing elit.
      Veritatis, quisquam.
